<?php

/**
 * @file
 * Provide administration configuration for SCROLL Progress.
 */

/**
 * Configuration form for scroll progress.
 */
function scroll_progress_admin_settings_form() {
  $form = array();
  $form['scroll_progress_theme'] = array(
    '#title' => t('Select theme for Scroll to use'),
    '#description' => t('Scroll comes with a lot of themes for progress. Please select the one that you prefer.'),
    '#type' => 'radios',
    '#options' => array(
      '1' => t('Straight line'),
      '2' => t('Circular progress'),
      '3' => t('Animated progress'),
      '4' => t('Tooltip progress'),
      '5' => t('Bottom line'),
    ),
    '#default_value' => variable_get('scroll_progress_theme') ? variable_get('scroll_progress_theme') : 1,
  );
  $form['scroll_progress_color'] = array(
    '#title' => t('Color code.'),
    '#description' => t('Default color for scroll progress is #ff0000.'),
    '#type' => 'textfield',
    '#default_value' => variable_get('scroll_progress_color') ? variable_get('scroll_progress_color') : '#ff0000',
  );
  $form['scroll_progress_load_on_admin_enabled'] = array(
    '#title' => t('Load in administration pages.'),
    '#description' => t('SCROLL is disabled by default on administration pages. Check to enable'),
    '#type' => 'checkbox',
    '#default_value' => variable_get('scroll_progress_load_on_admin_enabled') ? variable_get('scroll_progress_load_on_admin_enabled') : 0,
  );

  return system_settings_form($form);
}
